# These must be the same as in the PostgreSQL RPM:
%{!?%packagename:%define packagename rh-postgresql95-postgresql}
%{!?shortname:%define shortname pgsql}
%{!?%majorversion:%define majorversion 9.5}
%{!?%shortmajorversion:%define shortmajorversion 95}

%{!?pgbaseinstdir:%define pgbaseinstdir /opt/rh/rh-postgresql95/root/usr/}

# The version of the underlying PostgreSQL release we require, coresponding to
# Version: in the Pg RPM, and optionally the Release too.
%{!?required_pg:%define required_pg 9.5.0}

# If you're building a git snapshot, you must set the githash macro so that
# the spec file will locate the correct tarball. If you're building a tagged
# final release you must instead set the gittag macro.
#
#% define githash 1deadbe
# -or-
#% define gittag something
#
%define gittag REL1_1_0

# If you --define a githash or set it in a macro, adds it to the Release field:

Name:		%{packagename}-pglogical-output
Version:	1.1.0
Release:	1_2ndQuadrant%{?releasegitsuffix}%{?dist}
Summary:	pglogical_output - a general purpose PostgreSQL logical decoding output plugin

Group:		Applications/Databases
License:	PostgreSQL
URL:		http://2ndquadrant.com/pglogical
Source0:	pglogical-output-%{version}.tar.bz2
Source1:	pglogical-output-%{version}.tar.bz2.md5

BuildRequires:		%{packagename}-devel%{?_isa} >= %{required_pg}
Requires:		%{packagename}%{?_isa} >= %{required_pg}
Requires:		%{packagename}-server%{?_isa} >= %{required_pg}
Requires:		%{packagename}-contrib%{?_isa} >= %{required_pg}

# These should match those in the PostgreSQL spec, as they're headers
# PostgreSQL exposes via includes in its own public headers, and/or or that
# pg_config will emit linker options to link to.
#
# These should actually be Requires: dependencies of postgresql94-devel, but
# they aren't; see http://www.postgresql.org/message-id/547C0032.7040309@2ndquadrant.com
#
BuildRequires:  openssl-devel
BuildRequires:  gettext >= 0.10.35
BuildRequires:  libxml2-devel libxslt-devel
BuildRequires:  pam-devel
BuildRequires:  readline-devel
BuildRequires:  zlib-devel >= 1.0.4

%description
%{packagename}%{shortmajorversion}-pglogical-output installs the pglogical output plugin,
a general purpose PostgreSQL logical decoding output plugin. The plugin is suitable for
use in logical replication, application streaming of database contents, etc. It's not
generally useful directly to end users.

pglogical_output is developed, maintained, and supported by 2ndQuadrant (http://2ndquadrant.com).

This package is built against PostgreSQL %{packagename}%{shortmajorversion} from
http://yum.postgresql.org/

%prep
# Enforce that you must set gittag or githash
%if "%{?gittag}" != "" && "%{?githash}" != ""
  %{error:Both %%gittag and %%githash set, bad spec file configuration. See README.md}
%else
  %if "%{?gittag}" == "" && "%{?githash}" == ""
    %{error:No %%gittag or %%githash set, bad spec file configuration. See README.md}
  %endif
%endif

%setup -q -n pglogical-output-%{version}%{?releasegitsuffix}

%build
export PATH=%{pgbaseinstdir}/bin:$PATH
make USE_PGXS=1 -s %{?_smp_mflags}

%install
export PATH=%{pgbaseinstdir}/bin:$PATH
make USE_PGXS=1 -s %{?_smp_mflags} DESTDIR=%{buildroot} install

%files
%{pgbaseinstdir}/lib64/pgsql/pglogical_output.so
%{pgbaseinstdir}/include/pglogical_output/compat.h
%{pgbaseinstdir}/include/pglogical_output/hooks.h
%{pgbaseinstdir}/share/pgsql/extension/pglogical_output--1.1.0.sql
%{pgbaseinstdir}/share/pgsql/extension/pglogical_output--1.0.1--1.1.0.sql
%{pgbaseinstdir}/share/pgsql/extension/pglogical_output--1.0.0--1.1.0.sql
%{pgbaseinstdir}/share/pgsql/extension/pglogical_output.control

%changelog
* Thu Apr 28 2016 Craig Ringer <craig@2ndquadrant.com> 1.1.0-1_2ndQuadrant
- Release pglogical_output 1.1.0

* Mon Dec 21 2015 Craig Ringer <craig@2ndquadrant.com> 1.0.0-1_2ndQuadrant
- First cut pglogical package
